all : demos talkdemos


# Standard defs:
OBJS = $(SRC:.hs=.o)
GHC  = ghc
CC   = gcc
RM   = rm -f

demos: Demos.lhs
	$(GHC) --make -O -package FranTk -o demos Demos.lhs

talkdemos: TalkDemos.lhs
	$(GHC) --make -O -package FranTk -o talkdemos TalkDemos.lhs

conc: TestConc.lhs
	$(GHC) --make -O -package FranTk -o conc TestConc.lhs 

clean:
	$(RM) *.o *.hi *.exe demos talkdemos conc
